System Administration
cancel
Showing results for 
Search instead for 
Did you mean: 

HP PSP 8.40 installation error RHEL 5.4

Samuli
Occasional Visitor

HP PSP 8.40 installation error RHEL 5.4

Smart Update Manager gives an error:
"Tools to build source RPMs are unavailable on this system. The missing
build tools are

- kernel-devel rpm package
- kernel--devel rpm package"

I have kernel-devel installed. Reboot did not help me either. Any clues?

6 REPLIES
Steven E. Protter
Exalted Contributor

Re: HP PSP 8.40 installation error RHEL 5.4

Shalom,

yum -y install rpm-build kernel-dev*

You need to be able to build an rpm to do this install. You also may need to install the kernel source, but as I recall PSP ships with its own kernel source.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
Samuli
Occasional Visitor

Re: HP PSP 8.40 installation error RHEL 5.4

Shalom,

Thanks for your help. I dont think I want to go into that custom kernel swamp, so what might be the best way to take care of my single server and to have messsages via email when problems occur with standard kernel?
Samuli
Occasional Visitor

Re: HP PSP 8.40 installation error RHEL 5.4

It didnt help:

"yum install rpm-build kernel-dev*
Password:
Loaded plugins: rhnplugin, security
Setting up Install Process
Package rpm-build-4.4.2.3-18.el5.x86_64 already installed and latest version
Package kernel-devel-2.6.18-164.11.1.el5.x86_64 already installed and latest version
Nothing to do
"
Tim Nelson
Honored Contributor

Re: HP PSP 8.40 installation error RHEL 5.4

one shot in the dark is that the PSP tools are looking for a different kernel version ?

doublecheck the release notes..

(just a thought)
Michael Garner_1
Honored Contributor

Re: HP PSP 8.40 installation error RHEL 5.4

Another thing to check is that the correct kernel devel tools are installed for your kernel. Starting with RHEL 5.3, RedHat split the kernel devel tools into separate ones for each kernel. Because the Xen kernel is now the default kernel, you may need to install the kernel-devel-xen RPM in addition to the default kernel-devel RPM package.

Samuli
Occasional Visitor

Re: HP PSP 8.40 installation error RHEL 5.4

Yes! The kernel tools is named kernel-xen-devel.x86 and I tried kernel-devel-xen. Im sure I remember to use later on "sudo yum list kernel*" command for double checking the names.

Thanks for you all.